<ion-header no-border>
  <ion-toolbar color="dark">

    <!-- aqui se ponen por defecto los botones para regresar a la pagina anterior
    si no hay pagina anterior se tiene que poner el defaulthref
     el slot es para que salga bien al inicio del toolbar la flecha-->
    <ion-buttons slot="start">
      <ion-back-button color="tertiary" defaultHref="/">
      </ion-back-button>
    </ion-buttons>
    <ion-title>Nombre de la Lista</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content color="dark">
  <ion-list color="dark">
    <!--para añadir inputs es mejor con ion-item porque me permite hacer scroll-->
    <ion-item color="dark">
      <ion-label position="floating">Nuevo Item</ion-label>
      <ion-input type="text" [(ngModel)]="nameItem" (keyup.enter)="addItem()"></ion-input>
    </ion-item>
  </ion-list>

  <ion-list>
    <!--Emcabezado de la lista-->
    <ion-list-header color="dark" *ngIf="lista.items.length > 0">
      <ion-label>Tareas por hacer</ion-label>
    </ion-list-header>

    <!--Items de la lista el sliding es para poder
    deslizar con el dedo hacia la izquierda y que se muestre el boton-->
    <ion-item-sliding class="animated fadeInDown" *ngFor="let item of lista.items; let i=index">
      <ion-item color="dark">
        <ion-checkbox slot="start" color="tertiary" [(ngModel)]="item.completado" (ionChange)="changeCheck(item)">
        </ion-checkbox>
        <ion-label> {{item.desc}} </ion-label>
      </ion-item>

      <ion-item-options side="end">
        <ion-item-option (click)="delete(i)" color="danger">
          <ion-icon slot="icon-only" name="close"></ion-icon>
        </ion-item-option>
      </ion-item-options>

    </ion-item-sliding>
  </ion-list>
</ion-content>
